Subject: Re: Ruby packaging issues

From: Maxime Devos <[email-masked]>
Date: Wed, 24 Aug 2022 20:41:14 +0200

On 24-08-2022 17:24, Remco van 't Veer wrote:
>>    * Ruby contains some things generated by bison or such.
> It seems the generated parse.c file (from parse.y) is included in the
> tarballs as a service to workaround a bootstrap problem; generating the
> parser requires ruby.  See also:
>
>    https://github.com/ruby/ruby/blob/master/common.mk#L910

See my other reply, and also:

Even if generating the .c from the .y from the Ruby code would be ideal, 
at least generating the .c from the .y (and using the pre-generated the 
.y) is still an improvement, it would at least help with the 'buggy 
bison' scenario.

Greetings,
Maxime.